package Indeks;

import java.awt.*;
import java.awt.event.*;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.*;
import javax.swing.event.*;

/* ListDemo.java requires no other files. */
public class Window extends JPanel
        implements ListSelectionListener {

    private JList list;
    private DefaultListModel listModel;

    private static final String hireString = "Select";
    private static final String fireString = "Close";
    private JTextField employeeName;

    public Window() {
        super(new BorderLayout());

        listModel = new DefaultListModel();
        listModel.addElement("Pusto");

        //Create the list and put it in a scroll pane.
        list = new JList(listModel);
        list.setSelectedIndex(0);
        list.setVisibleRowCount(80);
        JScrollPane listScrollPane = new JScrollPane(list);

        JButton hireButton = new JButton(hireString);
        HireListener hireListener = new HireListener(hireButton);
        hireButton.setActionCommand(hireString);
        hireButton.addActionListener(hireListener);
        hireButton.setEnabled(true);

        employeeName = new JTextField(100);
        employeeName.addActionListener(hireListener);

        //Create a panel that uses BoxLayout.
        JPanel buttonPane = new JPanel();
        buttonPane.setLayout(new BoxLayout(buttonPane,
                BoxLayout.LINE_AXIS));
        buttonPane.add(Box.createHorizontalStrut(5));
        buttonPane.add(new JSeparator(SwingConstants.VERTICAL));
        buttonPane.add(Box.createHorizontalStrut(5));
        buttonPane.add(employeeName);
        buttonPane.add(hireButton);
        buttonPane.setBorder(BorderFactory.createEmptyBorder(5, 5, 5, 5));

        add(listScrollPane, BorderLayout.CENTER);
        add(buttonPane, BorderLayout.PAGE_END);
    }

    @Override
    public void valueChanged(ListSelectionEvent e) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    class FireListener implements ActionListener {

        public void actionPerformed(ActionEvent e) {

        }
    }

    //This listener is shared by the text field and the hire button.
    class HireListener implements ActionListener {

        private boolean alreadyEnabled = false;
        private JButton button;

        public HireListener(JButton button) {
            this.button = button;
        }

        //Required by ActionListener.
        public void actionPerformed(ActionEvent e) {
            String tekst = employeeName.getText();
            SqlConnection baza = new SqlConnection();
            ArrayList<String> wynik = baza.zapytanie(tekst);
            int index = 0;

            listModel.clear();
            employeeName.requestFocusInWindow();
            employeeName.setText("");

            for (String a : wynik) {
                listModel.insertElementAt(a, index);
                index++;
                if (index > 800) {
                    break;
                }
            }
            list.setSelectedIndex(index);
            list.ensureIndexIsVisible(index);
            //Select the new item and make it visible.

        }
    }

    /**
     * Create the GUI and show it. For thread safety, this method should be
     * invoked from the event-dispatching thread.
     */
    private static void createAndShowGUI() {
        //Create and set up the window.
        JFrame frame = new JFrame("SQL");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        //Create and set up the content pane.
        JComponent newContentPane = new Window();
        newContentPane.setOpaque(true); //content panes must be opaque
        frame.setContentPane(newContentPane);

        //Display the window.
        frame.pack();
        frame.setVisible(true);
        frame.setSize(700, 700);
    }

    public static void main(String[] args) {
        //Schedule a job for the event-dispatching thread:
        //creating and showing this application's GUI.
        javax.swing.SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                createAndShowGUI();
            }
        });
    }
}
